Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Interface StoreLoaderPlus

All Superinterfaces:
  StoreLoader

All Known Implementing Classes:
  LoaderTuplesNodes

    public interface StoreLoaderPlus

extends StoreLoader

Method Summary
`void` | `addQuad(com.hp.hpl.jena.graph.Node g, com.hp.hpl.jena.graph.Node s, com.hp.hpl.jena.graph.Node p, com.hp.hpl.jena.graph.Node o)`
`void` | `addTuple(TableDesc t, com.hp.hpl.jena.graph.Node... nodes)`
`void` | `deleteAll(com.hp.hpl.jena.graph.Node graphNode)`
`void` | `deleteQuad(com.hp.hpl.jena.graph.Node g, com.hp.hpl.jena.graph.Node s, com.hp.hpl.jena.graph.Node p, com.hp.hpl.jena.graph.Node o)`
`void` | `deleteTuple(TableDesc t, com.hp.hpl.jena.graph.Node... nodes)`

Methods inherited from interface com.hp.hpl.jena.sdb.store.StoreLoader
`addTriple, close, deleteAll, deleteTriple, finishBulkUpdate, getChunkSize, getUseThreading, setChunkSize, setUseThreading, startBulkUpdate`

Method Detail

### addQuad

    void addQuad(com.hp.hpl.jena.graph.Node g,
                 com.hp.hpl.jena.graph.Node s,
                 com.hp.hpl.jena.graph.Node p,
                 com.hp.hpl.jena.graph.Node o)

### deleteQuad

    void deleteQuad(com.hp.hpl.jena.graph.Node g,
                    com.hp.hpl.jena.graph.Node s,
                    com.hp.hpl.jena.graph.Node p,
                    com.hp.hpl.jena.graph.Node o)

### addTuple

    void addTuple(TableDesc t,
                  com.hp.hpl.jena.graph.Node... nodes)

### deleteTuple

    void deleteTuple(TableDesc t,
                     com.hp.hpl.jena.graph.Node... nodes)

### deleteAll

    void deleteAll(com.hp.hpl.jena.graph.Node graphNode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.